#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)

%define rel 1

Name:           extra-cmake-modules
Version: 6.5.0
Release:        %mkrel %{rel}
Summary:        Extra modules and scripts for CMake

Group:          Development/KDE and Qt
License:        MIT
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%name-%version.tar.xz

BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  python3dist(reuse)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  cmake(Qt5Help)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  qttools5-assistant
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  qttools6-assistant
BuildRequires:  locales-en

%description
Extra modules and scripts for CMake.

%files
%_datadir/ECM
%doc %_docdir/ECM
%_mandir/man?/*.*

%prep
%autosetup -p1

%build
%cmake -DBUILD_QTHELP_DOCS=ON \
       -DSphinx_BUILD_EXECUTABLE:PATH=%{_bindir}/sphinx-build-3
%cmake_build

%install
%cmake_install


%changelog
* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084336
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070508
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063368
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056802
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044900
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037460
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029552
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025576
- New version 5.247.0
- New version 5.246.1
- New version 5.246.0

* Fri Nov 10 2023 neoclust <neoclust> 5.245.0-1.mga10
+ Revision: 2005525
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 5.111.0-1.mga10
+ Revision: 1999022
- New version 5.111.0

* Sat Sep 16 2023 daviddavid <daviddavid> 5.110.0-1.mga10
+ Revision: 1987328
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952010
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947819
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941320
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1934975
- New version 5.102.0

* Tue Dec 27 2022 daviddavid <daviddavid> 5.101.0-4.mga9
+ Revision: 1927221
- remove changelog

* Tue Dec 27 2022 daviddavid <daviddavid> 5.101.0-3.mga9
+ Revision: 1927202
- rebuild in Core/release

* Thu Dec 15 2022 daviddavid <daviddavid> 5.101.0-2.mga9
+ Revision: 1923179
- enable reuse tool support

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922217
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911590
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900194
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887629
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880577
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871676
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853196
- New version 5.93.0

* Mon Apr 04 2022 umeabot <umeabot> 5.92.0-2.mga9
+ Revision: 1843814
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.92.0

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754804
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749055
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 5.86.0-1.mga9
+ Revision: 1747015
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735237
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723428
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714824
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702002
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691093
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653307
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633161
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625575
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612292
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603066
- New version 5.72.0

* Wed Jun 17 2020 daviddavid <daviddavid> 5.71.0-2.mga8
+ Revision: 1593981
- rebuild against current Qt5 stack

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592760
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1581986
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566477
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556653
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546573
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486791
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466201
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457586
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1450967
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444782
- New version 5.62.0

* Fri Jul 26 2019 daviddavid <daviddavid> 5.60.0-2.mga8
+ Revision: 1424275
- switch to Python 3

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420044
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386910
- New version 5.57.0

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374537
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364512
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356635
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339191
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318938
- New version 5.51.0
- New version 5.50.0

* Thu Sep 20 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1278214
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247288
- New version 5.49.0

* Tue May 22 2018 daviddavid <daviddavid> 5.46.0-2.mga7
+ Revision: 1231414
- add missing BR on pkgconfig(Qt5Quick)

* Mon May 14 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1229226
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192258
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182308
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161214
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140376
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123477
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089154
- Rebuild for testing

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088940
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074511
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072172
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058331
- New version 5.27.0

* Thu Sep 15 2016 daviddavid <daviddavid> 5.26.0-2.mga6
+ Revision: 1053232
- build the QtHelp documentation

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050508
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045086
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041308
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021907
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014317
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999614
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986305
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942226
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921260
- New version 5.18.0

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909909
- New version 5.17.0

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-5.mga6
+ Revision: 899318
- New ecm tarball

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 898904
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-4.mga6
+ Revision: 888228
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-4.mga6
+ Revision: 881368
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-4.mga6
+ Revision: 862913
- New version 5.13.0
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-4.mga6
+ Revision: 862791
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 853774
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-3.mga6
+ Revision: 841548
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 1.5.0-3.mga5
+ Revision: 803389
- New version 1.5.0

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 749894
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-2.mga5
+ Revision: 679069
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 1.1.0-1.mga5
+ Revision: 660585
- New version 1.1.0
- Remove merged patch

* Sun Jul 27 2014 neoclust <neoclust> 1.0.0-3.mga5
+ Revision: 656898
- Add definition for KXMLGUI_INSTALL_DIR

* Mon Jul 07 2014 neoclust <neoclust> 1.0.0-2.mga5
+ Revision: 650505
- Build documentation

* Mon Jul 07 2014 neoclust <neoclust> 1.0.0-1.mga5
+ Revision: 650498
- New version 1.0.0

* Sun Jun 29 2014 neoclust <neoclust> 0.0.14-1.mga5
+ Revision: 641116
- New version 0.0.14

* Thu May 22 2014 neoclust <neoclust> 0.0.13-1.mga5
+ Revision: 625077
- New version 0.0.13

* Thu Apr 03 2014 neoclust <neoclust> 0.0.12-2.mga5
+ Revision: 611466
- Rebuild to fix a BS weirdness
- New version

* Wed Mar 05 2014 neoclust <neoclust> 0.0.11-1.mga5
+ Revision: 599659
- New version 0.0.11

* Sun Feb 16 2014 neoclust <neoclust> 0.0.10-1.mga5
+ Revision: 592815
- New version

* Tue Feb 04 2014 neoclust <neoclust> 0.0.9-1.mga5
+ Revision: 580527
- New version

* Sat Oct 19 2013 umeabot <umeabot> 0.0.8-4.mga4
+ Revision: 528477
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 neoclust <neoclust> 0.0.8-3.mga4
+ Revision: 445311
- New version ( needed for current framework branch)

* Mon May 27 2013 neoclust <neoclust> 0.0.8-2.mga4
+ Revision: 428735
- Make ecm, arch dependant

* Mon May 27 2013 neoclust <neoclust> 0.0.8-1.mga4
+ Revision: 428637
- New version 0.0.8

* Mon Jan 28 2013 neoclust <neoclust> 0.0.6-1.mga3
+ Revision: 392940
- imported package extra-cmake-modules

